Update Scan Config
curl --request PATCH \
--url https://api.projectdiscovery.io/v1/scans/{scan_id}/config \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"targets": [
"<string>"
],
"assets_lists": [
"<string>"
],
"templates": [
"<string>"
],
"early_templates": [
"<string>"
],
"scan_config_ids": [
"<string>"
],
"report_config_ids": [
"<string>"
],
"alerting_config_ids": [
"<string>"
],
"enumeration_ids": [
{
"id": "<string>"
}
],
"socks5_proxy": "<string>",
"agent_id": "<string>",
"agent_tags": [
"<string>"
],
"agent_networks": [
"<string>"
],
"agent_behavior": "distribute",
"scan_all_assets": true
}
'import requests
url = "https://api.projectdiscovery.io/v1/scans/{scan_id}/config"
payload = {
"targets": ["<string>"],
"assets_lists": ["<string>"],
"templates": ["<string>"],
"early_templates": ["<string>"],
"scan_config_ids": ["<string>"],
"report_config_ids": ["<string>"],
"alerting_config_ids": ["<string>"],
"enumeration_ids": [{ "id": "<string>" }],
"socks5_proxy": "<string>",
"agent_id": "<string>",
"agent_tags": ["<string>"],
"agent_networks": ["<string>"],
"agent_behavior": "distribute",
"scan_all_assets": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targets: ['<string>'],
assets_lists: ['<string>'],
templates: ['<string>'],
early_templates: ['<string>'],
scan_config_ids: ['<string>'],
report_config_ids: ['<string>'],
alerting_config_ids: ['<string>'],
enumeration_ids: [{id: '<string>'}],
socks5_proxy: '<string>',
agent_id: '<string>',
agent_tags: ['<string>'],
agent_networks: ['<string>'],
agent_behavior: 'distribute',
scan_all_assets: true
})
};
fetch('https://api.projectdiscovery.io/v1/scans/{scan_id}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}Scans
Update Scan Config
Update scan metadata config
PATCH
/
v1
/
scans
/
{scan_id}
/
config
Update Scan Config
Authorizations
Headers
Retrieve the Team ID from: https://cloud.projectdiscovery.io/settings/team
Path Parameters
Query Parameters
Update type: append or replace
Available options:
append, replace Body
application/json
Show child attributes
Show child attributes
Available options:
distribute, mirror Response
OK
Was this page helpful?
⌘I